%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:                wildfly-build-tools
Version:             1.1.6
Release:             3
Summary:             Wildfly build and provisioning tools
License:             ASL 2.0
URL:                 https://github.com/wildfly/wildfly-build-tools
Source0:             https://github.com/wildfly/wildfly-build-tools/archive/%{namedversion}.tar.gz

BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.maven:maven-aether-provider)
BuildRequires:       mvn(org.apache.maven:maven-compat) mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.apache.maven:maven-model) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven:maven-settings-builder)
BuildRequires:       mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.eclipse.aether:aether-api)
BuildRequires:       mvn(org.eclipse.aether:aether-connector-basic)
BuildRequires:       mvn(org.eclipse.aether:aether-impl) mvn(org.eclipse.aether:aether-spi)
BuildRequires:       mvn(org.eclipse.aether:aether-transport-file)
BuildRequires:       mvn(org.eclipse.aether:aether-transport-http)
BuildRequires:       mvn(org.eclipse.aether:aether-util) mvn(org.jboss:jandex)
BuildRequires:       mvn(org.jboss:jboss-parent:pom:) mvn(org.jboss:staxmapper)
BuildRequires:       mvn(org.jboss.logging:jboss-logging)
BuildRequires:       mvn(org.jboss.logging:jboss-logging-annotations)
BuildArch:           noarch

%description
Tools used for building and provisioning the Wildfly server.

%package -n wildfly-feature-pack-build-maven-plugin
Summary:             WildFly Build Tools: Feature Pack Build Maven Plugin
%description -n wildfly-feature-pack-build-maven-plugin
This package contains WildFly Build Tools Feature Pack Build Maven Plugin.

%package -n wildfly-server-provisioning
Summary:             WildFly Build Tools: Server Provisioning
%description -n wildfly-server-provisioning
This package contains WildFly Build Tools Server Provisioning.

%package -n wildfly-server-provisioning-maven-plugin
Summary:             WildFly Build Tools: Server Provisioning Maven Plugin
%description -n wildfly-server-provisioning-maven-plugin
This package contains WildFly Build Tools Server Provisioning Maven Plugin.

%package -n wildfly-server-provisioning-standalone
Summary:             WildFly Build Tools: Server Provisioning Standalone
%description -n wildfly-server-provisioning-standalone
This package contains WildFly Build Tools Server Provisioning Standalone.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%pom_remove_plugin -r :maven-checkstyle-plugin
%pom_remove_plugin -r :maven-shade-plugin
%pom_remove_dep -r :wildfly-checkstyle-config
%pom_remove_dep -r org.sonatype.aether:
%pom_xpath_remove pom:profiles provisioning-maven-plugin

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-wildfly-build-tools-parent
%license LICENSE.txt

%files -n wildfly-feature-pack-build-maven-plugin -f .mfiles-wildfly-feature-pack-build-maven-plugin

%files -n wildfly-server-provisioning -f .mfiles-wildfly-server-provisioning
%license LICENSE.txt

%files -n wildfly-server-provisioning-maven-plugin -f .mfiles-wildfly-server-provisioning-maven-plugin

%files -n wildfly-server-provisioning-standalone -f .mfiles-wildfly-server-provisioning-standalone

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Mon Aug 22 2022 wangkai <wangkai385@h-partners.com> - 1.1.6-3
- Rebuild for log4j 2.17.2 fix CVE-2021-44832

* Fri Dec 24 2021 wangkai <wangkai385@huawei.com> - 1.1.6-2
- This package depends on log4j.After the log4j vulnerability CVE-2021-45105 is fixed,the version needs to be rebuild.

* Mon Aug 17 2020 maminjie <maminjie1@huawei.com> - 1.1.6-1
- package init
